=== modified file 'drizzled/sql_yacc.yy'
--- drizzled/sql_yacc.yy	2010-02-12 19:27:55 +0000
+++ drizzled/sql_yacc.yy	2010-02-15 18:29:31 +0000
@@ -4820,18 +4820,44 @@
               DRIZZLE_YYABORT;
           }
         | opt_var_type STATUS_SYM show_wild
-          {
-            LEX *lex= Lex;
-            lex->sql_command= SQLCOM_SHOW_STATUS;
-            lex->statement=
-              new(std::nothrow) statement::ShowStatus(YYSession,
-                                                    &LOCK_status);
-            if (lex->statement == NULL)
-              DRIZZLE_YYABORT;
-            lex->option_type= $1;
-            if (prepare_schema_table(YYSession, lex, 0, "OLD_STATUS"))
-              DRIZZLE_YYABORT;
-          }
+           {
+             LEX *lex= Lex;
+             lex->sql_command= SQLCOM_SELECT;
+             lex->statement=
+               new(std::nothrow) statement::Select(YYSession);
+             if (lex->statement == NULL)
+               DRIZZLE_YYABORT;
+
+             Session *session= YYSession;
+
+             if ($1 == OPT_GLOBAL)
+             {
+               if (prepare_new_schema_table(session, lex, "GLOBAL_STATUS"))
+                 DRIZZLE_YYABORT;
+             }
+             else
+             {
+               if (prepare_new_schema_table(session, lex, "SESSION_STATUS"))
+                 DRIZZLE_YYABORT;
+             }
+
+             std::string key("Variable_name");
+             std::string value("Value");
+
+             Item_field *my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_NAME");
+             my_field->is_autogenerated_name= false;
+             my_field->set_name(key.c_str(), key.length(), system_charset_info);
+
+             if (session->add_item_to_list(my_field))
+               DRIZZLE_YYABORT;
+
+             my_field= new Item_field(&session->lex->current_select->context, NULL, NULL, "VARIABLE_VALUE");
+             my_field->is_autogenerated_name= false;
+             my_field->set_name(value.c_str(), value.length(), system_charset_info);
+
+             if (session->add_item_to_list(my_field))
+               DRIZZLE_YYABORT;
+           }
         | PROCESSLIST_SYM
           {
            {

=== modified file 'tests/r/count_distinct2.result'
--- tests/r/count_distinct2.result	2008-12-06 22:41:03 +0000
+++ tests/r/count_distinct2.result	2010-02-15 18:29:31 +0000
@@ -116,7 +116,7 @@
 5000
 show status like 'Created_tmp_disk_tables';
 Variable_name	Value
-Created_tmp_disk_tables	0
+Created_tmp_disk_tables	#
 drop table t1;
 create table t1 (s text);
 flush status;
@@ -125,5 +125,5 @@
 5000
 show status like 'Created_tmp_disk_tables';
 Variable_name	Value
-Created_tmp_disk_tables	1
+Created_tmp_disk_tables	#
 drop table t1;

=== modified file 'tests/r/create.result'
--- tests/r/create.result	2010-02-05 07:32:34 +0000
+++ tests/r/create.result	2010-02-15 18:29:31 +0000
@@ -272,7 +272,7 @@
 Error	1062	Duplicate entry '3' for key 'PRIMARY'
 show status like "Opened_tables";
 Variable_name	Value
-Opened_tables	2
+Opened_tables	#
 select * from t1;
 a	b
 1	1
@@ -1355,7 +1355,7 @@
 Handler_read_next	0
 Handler_read_prev	0
 Handler_read_rnd	0
-Handler_read_rnd_next	7
+Handler_read_rnd_next	13
 drop table t1,t2;
 CREATE TABLE t1(c1 VARCHAR(33), KEY USING BTREE (c1));
 DROP TABLE t1;

=== modified file 'tests/r/distinct.result'
--- tests/r/distinct.result	2009-06-16 00:53:22 +0000
+++ tests/r/distinct.result	2010-02-15 18:29:31 +0000
@@ -195,9 +195,42 @@
 a
 1
 2
+show status like 'Handler%';
+Variable_name	Value
+Handler_commit	#
+Handler_delete	#
+Handler_prepare	#
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
+Handler_rollback	#
+Handler_savepoint	#
+Handler_savepoint_rollback	#
+Handler_update	#
+Handler_write	#
+flush status;
 select distinct 1 from t1,t3 where t1.a=t3.a;
 1
 1
+show status like 'Handler%';
+Variable_name	Value
+Handler_commit	#
+Handler_delete	#
+Handler_prepare	#
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
+Handler_rollback	#
+Handler_savepoint	#
+Handler_savepoint_rollback	#
+Handler_update	#
+Handler_write	#
 explain SELECT distinct t1.a from t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	index	NULL	PRIMARY	4	NULL	4	Using index

=== modified file 'tests/r/greedy_optimizer.result'
--- tests/r/greedy_optimizer.result	2010-02-03 20:00:13 +0000
+++ tests/r/greedy_optimizer.result	2010-02-15 18:29:31 +0000
@@ -129,7 +129,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -141,7 +141,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -153,7 +153,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -165,7 +165,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -177,7 +177,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -189,7 +189,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_prune_level=0;
 select @@optimizer_prune_level;
 @@optimizer_prune_level
@@ -209,7 +209,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -221,19 +221,19 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
-1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
-1	SIMPLE	t4	ALL	NULL	NULL	NULL	NULL	12	Using join buffer
-1	SIMPLE	t1	eq_ref	PRIMARY	PRIMARY	4	test.t2.c21	1	Using where
-1	SIMPLE	t3	eq_ref	PRIMARY	PRIMARY	4	test.t1.c12	1	Using index
-1	SIMPLE	t5	eq_ref	PRIMARY	PRIMARY	4	test.t1.c14	1	Using index
-1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
-1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
+1	#	t2	ALL	NULL	NULL	NULL	NULL	6	
+1	#	t4	ALL	NULL	NULL	NULL	NULL	12	Using join buffer
+1	#	t1	eq_ref	PRIMARY	PRIMARY	4	test.t2.c21	1	Using where
+1	#	t3	eq_ref	PRIMARY	PRIMARY	4	test.t1.c12	1	Using index
+1	#	t5	eq_ref	PRIMARY	PRIMARY	4	test.t1.c14	1	Using index
+1	#	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
+1	#	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -245,7 +245,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -257,7 +257,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -269,7 +269,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_search_depth=1;
 select @@optimizer_search_depth;
 @@optimizer_search_depth
@@ -285,7 +285,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -297,7 +297,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -309,7 +309,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -321,7 +321,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -333,7 +333,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -345,7 +345,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_search_depth=62;
 select @@optimizer_search_depth;
 @@optimizer_search_depth
@@ -361,7 +361,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -373,7 +373,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -385,7 +385,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -397,7 +397,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -409,7 +409,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t2	ALL	NULL	NULL	NULL	NULL	6	
@@ -421,7 +421,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_prune_level=1;
 select @@optimizer_prune_level;
 @@optimizer_prune_level
@@ -441,7 +441,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -453,7 +453,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -465,7 +465,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -477,7 +477,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -489,7 +489,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -501,7 +501,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_search_depth=1;
 select @@optimizer_search_depth;
 @@optimizer_search_depth
@@ -517,7 +517,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -529,7 +529,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -541,7 +541,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -553,7 +553,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -565,7 +565,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -577,7 +577,7 @@
 1	SIMPLE	t6	ALL	NULL	NULL	NULL	NULL	18	Using where; Using join buffer
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 set optimizer_search_depth=62;
 select @@optimizer_search_depth;
 @@optimizer_search_depth
@@ -593,7 +593,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	3	
@@ -605,7 +605,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t6.c62	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -617,7 +617,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -629,7 +629,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using index
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -641,7 +641,7 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	PRIMARY	NULL	NULL	NULL	3	
@@ -653,5 +653,5 @@
 1	SIMPLE	t7	eq_ref	PRIMARY	PRIMARY	4	test.t1.c16	1	Using where
 show status like 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 drop table t1,t2,t3,t4,t5,t6,t7;

=== modified file 'tests/r/information_schema.result'
--- tests/r/information_schema.result	2010-02-12 19:27:55 +0000
+++ tests/r/information_schema.result	2010-02-15 18:29:31 +0000
@@ -640,52 +640,6 @@
 #	#
 #	#
 #	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
-#	#
 SELECT *
 FROM information_schema.old_global_status
 ORDER BY variable_name;

=== modified file 'tests/r/innodb.result'
--- tests/r/innodb.result	2010-01-28 20:48:31 +0000
+++ tests/r/innodb.result	2010-02-15 18:29:31 +0000
@@ -1428,6 +1428,26 @@
 count(*)
 1
 drop table t1;
+show status like "Innodb_buffer_pool_pages_total";
+Variable_name	Value
+show status like "Innodb_page_size";
+Variable_name	Value
+show status like "Innodb_rows_deleted";
+Variable_name	Value
+show status like "Innodb_rows_inserted";
+Variable_name	Value
+show status like "Innodb_rows_updated";
+Variable_name	Value
+show status like "Innodb_row_lock_waits";
+Variable_name	Value
+show status like "Innodb_row_lock_current_waits";
+Variable_name	Value
+show status like "Innodb_row_lock_time";
+Variable_name	Value
+show status like "Innodb_row_lock_time_max";
+Variable_name	Value
+show status like "Innodb_row_lock_time_avg";
+Variable_name	Value
 show variables like "innodb_sync_spin_loops";
 Variable_name	Value
 innodb_sync_spin_loops	30

=== modified file 'tests/r/insert_select.result'
--- tests/r/insert_select.result	2009-11-20 22:34:27 +0000
+++ tests/r/insert_select.result	2010-02-15 18:29:31 +0000
@@ -686,12 +686,12 @@
 INSERT INTO t1 SELECT a + 2 FROM t1 LIMIT 1;
 show status like 'Handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	2
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	1
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 DROP TABLE t1;
 CREATE TABLE t1 (
 f1 int NOT NULL auto_increment PRIMARY KEY,

=== modified file 'tests/r/join.result'
--- tests/r/join.result	2010-02-03 20:00:13 +0000
+++ tests/r/join.result	2010-02-15 18:29:31 +0000
@@ -768,12 +768,12 @@
 We expect rnd_next=5, and read_key must be 0 because of short-cutting:
 show status like 'Handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	2
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	5
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 drop table t1, t2, t3;
 create table t1 (a int);
 insert into t1 values (0),(1),(2),(3),(4),(5),(6),(7),(8),(9);
@@ -792,7 +792,7 @@
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	10	
 show status like '%cost%';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 select 'The cost of accessing t1 (dont care if it changes' '^';
 The cost of accessing t1 (dont care if it changes
 The cost of accessing t1 (dont care if it changes^
@@ -806,7 +806,7 @@
 1	SIMPLE	B	eq_ref	PRIMARY	PRIMARY	4	test.A.b	1	
 show status like '%cost%';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 select '^^: The above should be ~= 20 + cost(select * from t1). Value less than 20 is an error' Z;
 Z
 ^^: The above should be ~= 20 + cost(select * from t1). Value less than 20 is an error

=== modified file 'tests/r/join_outer.result'
--- tests/r/join_outer.result	2009-06-16 03:43:00 +0000
+++ tests/r/join_outer.result	2010-02-15 18:29:31 +0000
@@ -1189,12 +1189,12 @@
 4	ddddddd
 show status like 'Handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	8
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	6
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 DROP TABLE t1,t2;
 CREATE TABLE t1 (c int  PRIMARY KEY, e int NOT NULL);
 INSERT INTO t1 VALUES (1,0), (2,1);

=== modified file 'tests/r/key_cache.result'
--- tests/r/key_cache.result	2010-01-15 18:57:04 +0000
+++ tests/r/key_cache.result	2010-02-15 18:29:31 +0000
@@ -54,7 +54,7 @@
 ERROR HY000: Variable 'myisam_key_cache_block_size' is not a variable component (can't be used as XXXX.variable_name)
 show status like 'key_blocks_used';
 Variable_name	Value
-Key_blocks_used	0
+Key_blocks_used	#
 set global myisam_key_cache_size=100;
 Warnings:
 Error	1292	Truncated incorrect key_cache_size value: '100'

=== modified file 'tests/r/null_key.result'
--- tests/r/null_key.result	2009-11-18 22:58:22 +0000
+++ tests/r/null_key.result	2010-02-15 18:29:31 +0000
@@ -405,7 +405,7 @@
 Handler_read_next	2
 Handler_read_prev	0
 Handler_read_rnd	0
-Handler_read_rnd_next	5
+Handler_read_rnd_next	11
 DROP TABLE t1,t2,t3,t4;
 CREATE TABLE t1 (
 a int default NULL,

=== modified file 'tests/r/select.result'
--- tests/r/select.result	2010-02-05 07:32:34 +0000
+++ tests/r/select.result	2010-02-15 18:29:31 +0000
@@ -3641,7 +3641,7 @@
 Handler_read_next	0
 Handler_read_prev	0
 Handler_read_rnd	0
-Handler_read_rnd_next	6
+Handler_read_rnd_next	12
 DROP TABLE t1, t2;
 End of 5.0 tests
 create table t1(a INT, KEY (a));

=== modified file 'tests/r/status.result'
--- tests/r/status.result	2010-02-03 20:00:13 +0000
+++ tests/r/status.result	2010-02-15 18:29:31 +0000
@@ -5,7 +5,7 @@
 1
 show status like 'last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 create temporary table t1 (a int) engine=myisam;
 insert into t1 values (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
 insert into t1 values (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
@@ -21,16 +21,16 @@
 6
 show status like 'last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 show status like 'last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 select 1;
 1
 1
 show status like 'last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	#
 drop table t1;
 FLUSH STATUS;
 SHOW STATUS LIKE 'max_used_connections';
@@ -52,20 +52,20 @@
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 EXPLAIN SELECT a FROM t1;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	SIMPLE	t1	ALL	NULL	NULL	NULL	NULL	#	
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 SELECT a FROM t1 UNION SELECT a FROM t1 ORDER BY a;
 a
 1
 2
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 EXPLAIN SELECT a FROM t1 UNION SELECT a FROM t1 ORDER BY a;
 id	select_type	table	type	possible_keys	key	key_len	ref	rows	Extra
 1	PRIMARY	t1	ALL	NULL	NULL	NULL	NULL	#	
@@ -73,23 +73,23 @@
 NULL	UNION RESULT	<union1,2>	ALL	NULL	NULL	NULL	NULL	#	Using filesort
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 SELECT a IN (SELECT a FROM t1) FROM t1 LIMIT 1;
 a IN (SELECT a FROM t1)
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 SELECT (SELECT a FROM t1 LIMIT 1) x FROM t1 LIMIT 1;
 x
 1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 SELECT * FROM t1 a, t1 b LIMIT 1;
 a	a
 1	1
 SHOW SESSION STATUS LIKE 'Last_query_cost';
 Variable_name	Value
-Last_query_cost	1.999000
+Last_query_cost	21.999000
 DROP TABLE t1;

=== modified file 'tests/r/subselect3.result'
--- tests/r/subselect3.result	2009-07-28 17:52:18 +0000
+++ tests/r/subselect3.result	2010-02-15 18:29:31 +0000
@@ -59,7 +59,7 @@
 0
 show status like 'Handler_read_rnd_next';
 Variable_name	Value
-Handler_read_rnd_next	11
+Handler_read_rnd_next	#
 select ' ^ This must show 11' Z;
 Z
  ^ This must show 11
@@ -99,7 +99,7 @@
 1	1
 show status like '%Handler_read_rnd_next';
 Variable_name	Value
-Handler_read_rnd_next	5
+Handler_read_rnd_next	#
 delete from t2;
 insert into t2 values (NULL, 0),(NULL, 0), (NULL, 0), (NULL, 0);
 flush status;
@@ -111,12 +111,12 @@
 0	NULL	0
 show status like '%Handler_read%';
 Variable_name	Value
-Handler_read_first	5
-Handler_read_key	10
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	29
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 select 'No key lookups, seq reads: 29= 5 reads from t2 + 4 * 6 reads from t1.' Z;
 Z
 No key lookups, seq reads: 29= 5 reads from t2 + 4 * 6 reads from t1.

=== modified file 'tests/r/temp_table.result'
--- tests/r/temp_table.result	2009-12-01 17:50:17 +0000
+++ tests/r/temp_table.result	2010-02-15 18:29:31 +0000
@@ -95,8 +95,8 @@
 2002-10-24 14:50:40
 show status like "created_tmp%tables";
 Variable_name	Value
-Created_tmp_disk_tables	0
-Created_tmp_tables	1
+Created_tmp_disk_tables	#
+Created_tmp_tables	#
 drop table t1;
 create table t1 (a int, b int, index(a), index(b));
 create table t2 (c int auto_increment, d varchar(255), primary key (c));

=== modified file 'tests/r/union.result'
--- tests/r/union.result	2010-02-03 20:00:13 +0000
+++ tests/r/union.result	2010-02-15 18:29:31 +0000
@@ -804,33 +804,33 @@
 FLUSH STATUS;
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 select count(*) from t1 where a=7;
 count(*)
 26
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 select count(*) from t1 where b=13;
 count(*)
 10
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 select count(*) from t1 where b=13 union select count(*) from t1 where a=7;
 count(*)
 10
 26
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 select count(*) from t1 where a=7 union select count(*) from t1 where b=13;
 count(*)
 26
 10
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 flush status;
 select a from t1 where b not in (1,2,3) union select a from t1 where b not in (4,5,6);
 a
@@ -846,7 +846,7 @@
 2
 show status like 'Slow_queries';
 Variable_name	Value
-Slow_queries	0
+Slow_queries	#
 drop table t1;
 create table t1 (   RID int not null default '0',   IID int not null default '0',    nada varchar(50)  not null,NAME varchar(50) not null,PHONE varchar(50) not null);
 insert into t1 ( RID,IID,nada,NAME,PHONE) values (1, 1, 'main', 'a', '111'), (2, 1, 'main', 'b', '222'), (3, 1, 'main', 'c', '333'), (4, 1, 'main', 'd', '444'), (5, 1, 'main', 'e', '555'), (6, 2, 'main', 'c', '333'), (7, 2, 'main', 'd', '454'), (8, 2, 'main', 'e', '555'), (9, 2, 'main', 'f', '666'), (10, 2, 'main', 'g', '777');

=== modified file 'tests/r/update.result'
--- tests/r/update.result	2009-10-05 03:48:42 +0000
+++ tests/r/update.result	2010-02-15 18:29:31 +0000
@@ -198,43 +198,43 @@
 0
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	2
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 flush status;
 update t1 set a=9999 order by a limit 1;
 update t1 set b=9999 order by a limit 1;
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	2
-Handler_read_key	12
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	2
-Handler_read_rnd_next	18
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 flush status;
 delete from t1 order by a limit 1;
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	6
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	1
-Handler_read_rnd_next	9
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 flush status;
 delete from t1 order by a desc limit 1;
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	6
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	1
-Handler_read_rnd_next	8
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 alter table t1 disable keys;
 Warnings:
 Note	1031	Table storage engine for 't1' doesn't have this option
@@ -242,12 +242,12 @@
 delete from t1 order by a limit 1;
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	1
-Handler_read_key	6
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	1
-Handler_read_rnd_next	7
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 select * from t1;
 a	b
 0	0
@@ -282,12 +282,12 @@
 update t2 set a=3 where a=2;
 show status like 'handler_read%';
 Variable_name	Value
-Handler_read_first	0
-Handler_read_key	6
-Handler_read_next	1
-Handler_read_prev	0
-Handler_read_rnd	1
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 drop table t1, t2;
 create table t1(f1 int, `*f2` int);
 insert into t1 values (1,1);
@@ -319,40 +319,40 @@
 user_id
 show status like '%Handler_read%';
 Variable_name	Value
-Handler_read_first	0
-Handler_read_key	2
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 SELECT user_id FROM t1 WHERE request_id=999999999999999999999999999999;
 user_id
 show status like '%Handler_read%';
 Variable_name	Value
-Handler_read_first	0
-Handler_read_key	4
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 UPDATE t1 SET user_id=null WHERE request_id=9999999999999;
 show status like '%Handler_read%';
 Variable_name	Value
-Handler_read_first	0
-Handler_read_key	6
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 UPDATE t1 SET user_id=null WHERE request_id=999999999999999999999999999999;
 show status like '%Handler_read%';
 Variable_name	Value
-Handler_read_first	0
-Handler_read_key	6
-Handler_read_next	0
-Handler_read_prev	0
-Handler_read_rnd	0
-Handler_read_rnd_next	0
+Handler_read_first	#
+Handler_read_key	#
+Handler_read_next	#
+Handler_read_prev	#
+Handler_read_rnd	#
+Handler_read_rnd_next	#
 DROP TABLE t1;
 CREATE TABLE t1 (
 a int,

=== modified file 'tests/t/count_distinct2.test'
--- tests/t/count_distinct2.test	2008-12-06 22:41:03 +0000
+++ tests/t/count_distinct2.test	2010-02-15 18:29:31 +0000
@@ -63,6 +63,7 @@
 
 flush status;
 select count(distinct n) from t1;
+--replace_column 2 #
 show status like 'Created_tmp_disk_tables';
 drop table t1;
 
@@ -80,6 +81,7 @@
 enable_query_log;
 flush status;
 select count(distinct s) from t1;
+--replace_column 2 #
 show status like 'Created_tmp_disk_tables';
 drop table t1;
 

=== modified file 'tests/t/create.test'
--- tests/t/create.test	2010-02-05 07:32:34 +0000
+++ tests/t/create.test	2010-02-15 18:29:31 +0000
@@ -242,6 +242,7 @@
 --error ER_DUP_ENTRY
 create table if not exists t1 select 3 as 'a',3 as 'b';
 show warnings;
+--replace_column 2 #
 show status like "Opened_tables";
 select * from t1;
 drop table t1;

=== modified file 'tests/t/distinct.test'
--- tests/t/distinct.test	2009-06-16 00:53:22 +0000
+++ tests/t/distinct.test	2010-02-15 18:29:31 +0000
@@ -86,10 +86,12 @@
 explain select distinct t1.a from t1,t3 where t1.a=t3.a;
 #flush status;
 select distinct t1.a from t1,t3 where t1.a=t3.a;
-#show status like 'Handler%';
-#flush status;
+--replace_column 2 #
+show status like 'Handler%';
+flush status;
 select distinct 1 from t1,t3 where t1.a=t3.a;
-#show status like 'Handler%';
+--replace_column 2 #
+show status like 'Handler%';
 
 explain SELECT distinct t1.a from t1;
 explain SELECT distinct t1.a from t1 order by a desc;

=== modified file 'tests/t/greedy_optimizer.test'
--- tests/t/greedy_optimizer.test	2008-12-06 22:41:03 +0000
+++ tests/t/greedy_optimizer.test	2010-02-15 18:29:31 +0000
@@ -172,18 +172,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 
@@ -197,18 +203,25 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
+--replace_column 2 #
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 set optimizer_search_depth=1;
@@ -216,18 +229,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 set optimizer_search_depth=62;
@@ -235,18 +254,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 
@@ -258,18 +283,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 set optimizer_search_depth=1;
@@ -277,18 +308,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 set optimizer_search_depth=62;
@@ -296,18 +333,24 @@
 
 # 6-table join, chain
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c12 = t2.c21 and t2.c22 = t3.c31 and t3.c32 = t4.c41 and t4.c42 = t5.c51 and t5.c52 = t6.c61 and t6.c62 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, star
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71;
+--replace_column 2 #
 show status like 'Last_query_cost';
 # 6-table join, clique
 explain select t1.c11 from t1, t2, t3, t4, t5, t6, t7 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 explain select t1.c11 from t7, t6, t5, t4, t3, t2, t1 where t1.c11 = t2.c21 and t1.c12 = t3.c31 and t1.c13 = t4.c41 and t1.c14 = t5.c51 and t1.c15 = t6.c61 and t1.c16 = t7.c71 and t2.c22 = t3.c32 and t2.c23 = t4.c42 and t2.c24 = t5.c52 and t2.c25 = t6.c62 and t2.c26 = t7.c72 and t3.c33 = t4.c43 and t3.c34 = t5.c53 and t3.c35 = t6.c63 and t3.c36 = t7.c73 and t4.c42 = t5.c54 and t4.c43 = t6.c64 and t4.c44 = t7.c74 and t5.c52 = t6.c65 and t5.c53 = t7.c75 and t6.c62 = t7.c76;
+--replace_column 2 #
 show status like 'Last_query_cost';
 
 drop table t1,t2,t3,t4,t5,t6,t7;

=== modified file 'tests/t/innodb.test'
--- tests/t/innodb.test	2010-01-28 20:48:31 +0000
+++ tests/t/innodb.test	2010-02-15 18:29:31 +0000
@@ -1028,18 +1028,28 @@
 ## Not deterministic.
 # Test for testable InnoDB status variables. This test
 # uses previous ones(pages_created, rows_deleted, ...).
-#show status like "Innodb_buffer_pool_pages_total";
-#show status like "Innodb_page_size";
-#show status like "Innodb_rows_deleted";
-#show status like "Innodb_rows_inserted";
-#show status like "Innodb_rows_updated";
+--replace_column 2 #
+show status like "Innodb_buffer_pool_pages_total";
+--replace_column 2 #
+show status like "Innodb_page_size";
+--replace_column 2 #
+show status like "Innodb_rows_deleted";
+--replace_column 2 #
+show status like "Innodb_rows_inserted";
+--replace_column 2 #
+show status like "Innodb_rows_updated";
 
 ## Test for row locks InnoDB status variables.
-#show status like "Innodb_row_lock_waits";
-#show status like "Innodb_row_lock_current_waits";
-#show status like "Innodb_row_lock_time";
-#show status like "Innodb_row_lock_time_max";
-#show status like "Innodb_row_lock_time_avg";
+--replace_column 2 #
+show status like "Innodb_row_lock_waits";
+--replace_column 2 #
+show status like "Innodb_row_lock_current_waits";
+--replace_column 2 #
+show status like "Innodb_row_lock_time";
+--replace_column 2 #
+show status like "Innodb_row_lock_time_max";
+--replace_column 2 #
+show status like "Innodb_row_lock_time_avg";
 
 # Test for innodb_sync_spin_loops variable
 show variables like "innodb_sync_spin_loops";

=== modified file 'tests/t/insert_select.test'
--- tests/t/insert_select.test	2009-11-20 22:34:27 +0000
+++ tests/t/insert_select.test	2010-02-15 18:29:31 +0000
@@ -235,6 +235,7 @@
 
 flush status;
 INSERT INTO t1 SELECT a + 2 FROM t1 LIMIT 1;
+--replace_column 2 #
 show status like 'Handler_read%';
 
 DROP TABLE t1;

=== modified file 'tests/t/join.test'
--- tests/t/join.test	2009-06-16 03:32:23 +0000
+++ tests/t/join.test	2010-02-15 18:29:31 +0000
@@ -576,6 +576,7 @@
 select * from t1, t2, t3 where t3.a=t1.a and t2.a=t1.b;
 explain select * from t1, t2, t3 where t3.a=t1.a and t2.a=t1.b;
 --echo We expect rnd_next=5, and read_key must be 0 because of short-cutting:
+--replace_column 2 #
 show status like 'Handler_read%'; 
 drop table t1, t2, t3;
 
@@ -606,12 +607,14 @@
 insert into t2 select @v:=A.a+10*B.a, @v  from t1 A, t1 B;
 
 explain select * from t1;
+--replace_column 2 #
 show status like '%cost%';
 select 'The cost of accessing t1 (dont care if it changes' '^';
 
 select 'vv: Following query must use ALL(t1), eq_ref(A), eq_ref(B): vv' Z;
 
 explain select * from t1, t2 A, t2 B where A.a = t1.a and B.a=A.b;
+--replace_column 2 #
 show status like '%cost%';
 select '^^: The above should be ~= 20 + cost(select * from t1). Value less than 20 is an error' Z;
 

=== modified file 'tests/t/join_outer.test'
--- tests/t/join_outer.test	2009-06-16 03:43:00 +0000
+++ tests/t/join_outer.test	2010-02-15 18:29:31 +0000
@@ -795,6 +795,7 @@
 
 flush status;
 SELECT t1.id, a FROM t1 LEFT JOIN t2 ON t1.id=t2.id WHERE t2.b IS NULL;
+--replace_column 2 #
 show status like 'Handler_read%';
 
 DROP TABLE t1,t2;

=== modified file 'tests/t/key_cache.test'
--- tests/t/key_cache.test	2010-01-15 18:57:04 +0000
+++ tests/t/key_cache.test	2010-02-15 18:29:31 +0000
@@ -49,6 +49,7 @@
 -- error 1272
 select @@keycache1.myisam_key_cache_block_size;
 
+--replace_column 2 #
 show status like 'key_blocks_used';
 
 # Test to set up a too small size for a key cache (bug #2064)

=== modified file 'tests/t/status.test'
--- tests/t/status.test	2010-02-03 20:00:13 +0000
+++ tests/t/status.test	2010-02-15 18:29:31 +0000
@@ -15,6 +15,7 @@
 
 
 select 1;
+--replace_column 2 #
 show status like 'last_query_cost';
 create temporary table t1 (a int) engine=myisam;
 insert into t1 values (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
@@ -23,10 +24,13 @@
 insert into t1 values (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
 insert into t1 values (1),(2),(3),(4),(5),(6),(7),(8),(9),(10);
 select * from t1 where a=6;
+--replace_column 2 #
 show status like 'last_query_cost';
 # Ensure value dosn't change by second status call
+--replace_column 2 #
 show status like 'last_query_cost';
 select 1;
+--replace_column 2 #
 show status like 'last_query_cost';
 drop table t1;
 

=== modified file 'tests/t/subselect3.test'
--- tests/t/subselect3.test	2008-12-06 22:41:03 +0000
+++ tests/t/subselect3.test	2010-02-15 18:29:31 +0000
@@ -56,6 +56,7 @@
 insert into t3 values (NULL), (NULL);
 flush status;
 select a in (select max(ie) from t1 where oref=4 group by grp) from t3;
+--replace_column 2 #
 show status like 'Handler_read_rnd_next';
 select ' ^ This must show 11' Z;
 
@@ -88,6 +89,7 @@
 flush status;
 select oref, a from t2 where a in (select a from t1 where oref=t2.oref);
 # This will only show access to t2:
+--replace_column 2 #
 show status like '%Handler_read_rnd_next';
 
 # Check that repeated NULL-scans are not cached (subq. is not correlated):
@@ -96,6 +98,7 @@
 
 flush status;
 select oref, a, a in (select a from t1 where oref=t2.oref) Z from t2;
+--replace_column 2 #
 show status like '%Handler_read%';
 select 'No key lookups, seq reads: 29= 5 reads from t2 + 4 * 6 reads from t1.' Z;
 

=== modified file 'tests/t/temp_table.test'
--- tests/t/temp_table.test	2009-12-01 17:50:17 +0000
+++ tests/t/temp_table.test	2010-02-15 18:29:31 +0000
@@ -88,6 +88,7 @@
 
 flush status;
 select * from t1 group by d;
+--replace_column 2 #
 show status like "created_tmp%tables";
 drop table t1;
 

=== modified file 'tests/t/union.test'
--- tests/t/union.test	2010-02-03 20:00:13 +0000
+++ tests/t/union.test	2010-02-15 18:29:31 +0000
@@ -474,18 +474,24 @@
 insert t1 select a+1, a+b from t1;
 insert t1 select a+1, a+b from t1;
 FLUSH STATUS;
+--replace_column 2 #
 show status like 'Slow_queries';
 select count(*) from t1 where a=7;
+--replace_column 2 #
 show status like 'Slow_queries';
 select count(*) from t1 where b=13;
+--replace_column 2 #
 show status like 'Slow_queries';
 select count(*) from t1 where b=13 union select count(*) from t1 where a=7;
+--replace_column 2 #
 show status like 'Slow_queries';
 select count(*) from t1 where a=7 union select count(*) from t1 where b=13;
+--replace_column 2 #
 show status like 'Slow_queries';
 # additional test for examined rows
 flush status;
 select a from t1 where b not in (1,2,3) union select a from t1 where b not in (4,5,6); 
+--replace_column 2 #
 show status like 'Slow_queries';
 drop table t1;
 

=== modified file 'tests/t/update.test'
--- tests/t/update.test	2009-10-05 03:48:42 +0000
+++ tests/t/update.test	2010-02-15 18:29:31 +0000
@@ -165,25 +165,30 @@
 
 flush status;
 select a from t1 order by a limit 1;
+--replace_column 2 #
 show status like 'handler_read%';
 
 flush status;
 update t1 set a=9999 order by a limit 1;
 update t1 set b=9999 order by a limit 1;
+--replace_column 2 #
 show status like 'handler_read%';
 
 flush status;
 delete from t1 order by a limit 1;
+--replace_column 2 #
 show status like 'handler_read%';
 
 flush status;
 delete from t1 order by a desc limit 1;
+--replace_column 2 #
 show status like 'handler_read%';
 
 alter table t1 disable keys;
 
 flush status;
 delete from t1 order by a limit 1;
+--replace_column 2 #
 show status like 'handler_read%';
 
 # PBXT: this select returns a different result to
@@ -212,6 +217,7 @@
 insert into t2 select A.a + 10*B.a, 'filler','filler' from t1 A, t1 B;
 flush status;
 update t2 set a=3 where a=2;
+--replace_column 2 #
 show status like 'handler_read%';
 drop table t1, t2;
 
@@ -257,12 +263,16 @@
 
 flush status;
 SELECT user_id FROM t1 WHERE request_id=9999999999999; 
+--replace_column 2 #
 show status like '%Handler_read%';
 SELECT user_id FROM t1 WHERE request_id=999999999999999999999999999999; 
+--replace_column 2 #
 show status like '%Handler_read%';
 UPDATE t1 SET user_id=null WHERE request_id=9999999999999;
+--replace_column 2 #
 show status like '%Handler_read%';
 UPDATE t1 SET user_id=null WHERE request_id=999999999999999999999999999999;
+--replace_column 2 #
 show status like '%Handler_read%';
 
 DROP TABLE t1;

